Page MenuHomePhabricator

Impossible to remove change tags from revisions
Closed, ResolvedPublic

Description

Steps to reproduce:

  1. Find a revision with manually added change tags (wikidata, testwiki).
  2. Attempt to remove tag(s) on such a revision.
  3. Submit.

Now you will see the green confirmation (tags-edit-success) but the tags weren't actually removed (no new log entry etc.).

The error must be somewhere in the backend because the information about tags is present in the POST request.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 30 2018, 4:25 PM

Doing API requests has the same effect (with "noop": "" in the response).

I will fix this ASAP. Unfortunately, I lost my laptop (and all of my access), making even a gerrit patch seems super difficult right now. Not to mention I'm on vacation.

Change 483059 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/core@master] Fix order of arguments in ChangeTags::getPrevTags

https://gerrit.wikimedia.org/r/483059

Ladsgroup claimed this task.Jan 9 2019, 8:07 AM

I found the issue. The patch is up.

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptJan 9 2019, 8:07 AM

Change 483059 merged by jenkins-bot:
[mediawiki/core@master] Fix order of arguments in ChangeTags::getPrevTags

https://gerrit.wikimedia.org/r/483059

Change 483097 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/core@wmf/1.33.0-wmf.12] Fix order of arguments in ChangeTags::getPrevTags

https://gerrit.wikimedia.org/r/483097

Change 483099 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/core@wmf/1.33.0-wmf.9] Fix order of arguments in ChangeTags::getPrevTags

https://gerrit.wikimedia.org/r/483099

Change 483097 merged by jenkins-bot:
[mediawiki/core@wmf/1.33.0-wmf.12] Fix order of arguments in ChangeTags::getPrevTags

https://gerrit.wikimedia.org/r/483097

Change 483099 merged by jenkins-bot:
[mediawiki/core@wmf/1.33.0-wmf.9] Fix order of arguments in ChangeTags::getPrevTags

https://gerrit.wikimedia.org/r/483099

Mentioned in SAL (#wikimedia-operations) [2019-01-09T13:08:14Z] <zfilipin@deploy1001> Synchronized php-1.33.0-wmf.12/: SWAT: [[gerrit:483097|Fix order of arguments in ChangeTags::getPrevTags ([T212703])]] (duration: 06m 54s)

Mentioned in SAL (#wikimedia-operations) [2019-01-09T13:22:05Z] <zfilipin@deploy1001> Synchronized php-1.33.0-wmf.9/: SWAT: [[gerrit:483099|Fix order of arguments in ChangeTags::getPrevTags ([T212703])]] (duration: 05m 50s)

Framawiki renamed this task from Impossible to remove change tags from revisions via UI to Impossible to remove change tags from revisions.Jan 15 2019, 6:30 PM